summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornous2019-06-14 14:04:16 +0300
committernous2019-06-14 14:04:16 +0300
commit930f9c020b911a8eeea754eaa7dbeb15b7e320b0 (patch)
treee6c9c2efbc5ccea72695cd579f7f764db79cb633
downloadaur-930f9c020b911a8eeea754eaa7dbeb15b7e320b0.tar.gz
Initial commit
-rw-r--r--.SRCINFO21
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD44
-rw-r--r--dkms.conf6
-rw-r--r--veikk.conf2
5 files changed, 78 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a34dbf26ee1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Fri Jun 14 11:03:29 UTC 2019
+pkgbase = input-veikk-dkms
+ pkgdesc = Linux driver providing pressure sensitivity for VEIKK drawing tablets (S640, A50, A30)
+ pkgver = r34.63d8367
+ pkgrel = 1
+ url = https://github.com/jlam55555/veikk-s640-driver
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = dkms
+ depends = git
+ source = input-veikk::git+https://github.com/jlam55555/veikk-s640-driver.git
+ source = veikk.conf
+ source = dkms.conf
+ sha1sums = SKIP
+ sha1sums = 58ea5a020380c922d62b43c6403b4310a18967b4
+ sha1sums = 35423db037910181d6fcada916180b09c28ff8ad
+
+pkgname = input-veikk-dkms
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..11db33c440c
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+*.tar.xz
+*.tar.gz
+*.zip
+/pkg
+/src
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..19656d98956
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Corey Hinshaw <coreyhinshaw(at)gmail(dot)com>
+
+pkgname=input-veikk-dkms
+_pkgname=input-veikk
+pkgver=r34.63d8367
+pkgrel=1
+pkgdesc="Linux driver providing pressure sensitivity for VEIKK drawing tablets (S640, A50, A30)"
+arch=('i686' 'x86_64')
+url="https://github.com/jlam55555/veikk-s640-driver"
+license=('GPL')
+depends=('dkms' 'git')
+#source=("${url}/archive/master.zip"
+# 'veikk.conf')
+source=(${_pkgname}::git+${url}.git
+ 'veikk.conf'
+ 'dkms.conf')
+sha1sums=('SKIP'
+ '58ea5a020380c922d62b43c6403b4310a18967b4'
+ '35423db037910181d6fcada916180b09c28ff8ad')
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ # Installation directory
+ local install_dir="${pkgdir}/usr/src/${_pkgname}-${pkgver}"
+
+ cd "${srcdir}/${_pkgname}"
+
+ sed -i "s/@MODULE_VERSION@/${pkgver}/" "${srcdir}/dkms.conf"
+ sed -i "s/@MODULE_VERSION@/${pkgver}/" "${srcdir}/dkms.conf"
+ install -D -m644 -t "${install_dir}/" "${srcdir}/dkms.conf"
+
+ # Install source files
+ for file in {Makefile,dkms.conf,*.c,*.h}; do
+ [ -f "$file" ] || continue
+ install -D -m644 -t "${install_dir}/" "${file}"
+ done
+ # Load the module at boot
+ install -Dm644 ${srcdir}/veikk.conf ${pkgdir}/etc/modules-load.d/veikk.conf
+
+}
diff --git a/dkms.conf b/dkms.conf
new file mode 100644
index 00000000000..8748a270fb5
--- /dev/null
+++ b/dkms.conf
@@ -0,0 +1,6 @@
+PACKAGE_NAME="input-veikk"
+BUILT_MODULE_NAME[0]="veikk"
+PACKAGE_VERSION="@PKGVER@"
+MODULE_VERSION="@PKGVER@"
+DEST_MODULE_LOCATION[0]="/extra/"
+AUTOINSTALL="yes"
diff --git a/veikk.conf b/veikk.conf
new file mode 100644
index 00000000000..f4374c6a5f0
--- /dev/null
+++ b/veikk.conf
@@ -0,0 +1,2 @@
+# Load the veikk driver module
+veikk